%letter_test1
clear all;

% Modify the parameters below to specify how many test runs to do
% and how much noise to add, i.e. how many neurons to 'flip'

num_test_runs   =   10;
num_flips       =   1;

%load data
D = [1 0 0 0 1 1 0 1 1 0 1 0 1 1 0 1 0 1 1 0 1 0 0 0 1];
X = reshape(D, 5, 5);
subplot(3,2,1);
imshow(X');
title('First Memory');
set(gcf,'Position', [10 50 400 600])
J = [0 0 0 0 0 1 1 1 0 1 1 1 1 0 1 0 1 1 0 1 0 0 0 1 1];
X = reshape(J, 5, 5);
subplot(3,2,2);
imshow(X');
title('Second Memory');
C = [1 0 0 0 0 0 1 1 1 1 0 1 1 1 1 0 1 1 1 1 1 0 0 0 0];
X = reshape(C, 5, 5);
subplot(3,2,3);
imshow(X');
title('Third Memory');
M = [0 1 1 1 0 0 0 1 0 0 0 1 0 1 0 0 1 1 1 0 0 1 1 1 0];
X = reshape(M, 5, 5);
subplot(3,2,4);
imshow(X');
title('Fourth Memory');
Letter_5 = [1 0 1 0 1  0 1 0 1 0  1 1 1 1 1  0 0 0 0 0  1 1 0 1 1];
X = reshape(Letter_5, 5, 5);
subplot(3,2,5);
imshow(X');
title('Fifth Memory');
Letter_6 = [1 0 0 0 0  1 1 0 0 0  1 1 1 0 0  1 1 1 1 0  1 1 1 1 1];
X = reshape(Letter_6, 5, 5);
subplot(3,2,6);
imshow(X');
title('Sixth Memory');

%create data matrix
data(1,:) = D;
data(2,:) = J;
data(3,:) = C;
data(4,:) = M;
data(5,:) = Letter_5;
data(6,:) = Letter_6;

